# Snapshot report for `test/snapshots.js`

The actual snapshot is saved in `snapshots.js.snap`.

Generated by [AVA](https://ava.li).

## MOSTLY_SAFE snapshot: computed-member-to-static.js

> Snapshot 1

    `a.b;␊
    a.b = 0;␊
    a[0];␊
    a['0'];␊
    `

## MOSTLY_SAFE snapshot: expand-expression-statement.js

> Snapshot 1

    `foo();␊
    bar();␊
    new baz();␊
    `

## MOSTLY_SAFE snapshot: expand-multiple-decl.js

> Snapshot 1

    `function f() {␊
      var a = foo();␊
      var b = bar();␊
      var c = foo();␊
      for (var d = bar(); false; ) {}␊
      return a + b + c + d;␊
    }␊
    `

## MOSTLY_SAFE snapshot: expand-sequence.js

> Snapshot 1

    `a();␊
    if (b()) {␊
      c();␊
    }␊
    function f() {␊
      b();␊
      var a = c;␊
      d();␊
      return a;␊
    }␊
    f();␊
    throw g;␊
    a();␊
    for (b(); false; ) {}␊
    `

## MOSTLY_SAFE snapshot: hoist-fns.js

> Snapshot 1

    `function f() {␊
      function bar() {}␊
      foo();␊
      return bar;␊
    }␊
    `

## MOSTLY_SAFE snapshot: if-not.js

> Snapshot 1

    `if (a === b) {␊
      bar();␊
    } else {␊
      foo();␊
    }␊
    `

## MOSTLY_SAFE snapshot: inline-arguments.js

> Snapshot 1

    `(function() {␊
      var a = foo();␊
      var b = bar();␊
      baz();␊
      return a + b;␊
    })();␊
    (function() {␊
      var a = foo();␊
      var b = bar();␊
      var c;␊
      return a + b + c;␊
    })();␊
    `

## MOSTLY_SAFE snapshot: inline-called-once.js

> Snapshot 1

    `function f() {␊
      var x = function(a) {␊
        return a + foo();␊
      };␊
      return x(a);␊
    }␊
    `

## MOSTLY_SAFE snapshot: inline-constant-object-property.js

> Snapshot 1

    `var x = { a: 0 };␊
    y = x.a;␊
    `

## MOSTLY_SAFE snapshot: inline-function-as-conditional.js

> Snapshot 1

    `function f() {␊
      var x = function(foo) {␊
        if (foo == 'bar') {␊
          return 'a';␊
        } else {␊
          return 'b';␊
        }␊
      };␊
      var y = x(a);␊
      var z = x(b);␊
      var w = x();␊
      return y + z + w;␊
    }␊
    `

## MOSTLY_SAFE snapshot: inline-iife.js

> Snapshot 1

    `function f() {␊
      foo();␊
      x = 0;␊
      x = (foo(), void null);␊
    }␊
    `

## MOSTLY_SAFE snapshot: inline-trivial-function.js

> Snapshot 1

    `function f() {␊
      var x = {␊
        p: function(a, b, c) {␊
          return a + b + c;␊
        },␊
      };␊
      console.log(x.p(foo(), bar(), baz()));␊
    }␊
    `

## MOSTLY_SAFE snapshot: make-blocks.js

> Snapshot 1

    `if (foo()) {␊
      bar();␊
    }␊
    while (0) {␊
      bar();␊
    }␊
    for (a in b) {␊
      bar();␊
    }␊
    do {␊
      bar();␊
    } while (0);␊
    for (a of b) {␊
      bar();␊
    }␊
    `

## MOSTLY_SAFE snapshot: negate.js

> Snapshot 1

    `f(true);␊
    f(true);␊
    f(false);␊
    f(!a || !b);␊
    f(a != b);␊
    if (a) {␊
      foo();␊
    }␊
    `

## MOSTLY_SAFE snapshot: no-trailing-return-void.js

> Snapshot 1

    `function f() {␊
      foo();␊
    }␊
    `

## MOSTLY_SAFE snapshot: partial-evaluate.js

> Snapshot 1

    `function f() {␊
      var a = 1;␊
      return a + 2 + ['d', 'e'];␊
    }␊
    `

## MOSTLY_SAFE snapshot: remove-empty-statements.js

> Snapshot 1

    ''

## MOSTLY_SAFE snapshot: remove-empty-try.js

> Snapshot 1

    `if (false) {␊
      var x;␊
    }␊
    `

## MOSTLY_SAFE snapshot: remove-unused-vars.js

> Snapshot 1

    `var x = 0;␊
    function f() {␊
      var x = foo();␊
    }␊
    `

## MOSTLY_SAFE snapshot: return-conditional.js

> Snapshot 1

    `function f() {␊
      if (foo()) {␊
        return 0;␊
      } else {␊
        return 1;␊
      }␊
    }␊
    `

## MOSTLY_SAFE snapshot: return-void.js

> Snapshot 1

    `function f() {␊
      if (foo()) {␊
        bar();␊
        return;␊
      }␊
    }␊
    `

## MOSTLY_SAFE snapshot: shorthand-if.js

> Snapshot 1

    `if (a) {␊
      b();␊
    } else {␊
      c();␊
    }␊
    if (a) {␊
      b();␊
    }␊
    if (!a) {␊
      c();␊
    }␊
    `

## MOSTLY_SAFE snapshot: spread-block.js

> Snapshot 1

    `foo();␊
    bar();␊
    baz();␊
    quux();␊
    `

## MOSTLY_SAFE snapshot: statement-position-negation.js

> Snapshot 1

    `d();␊
    `

## MOSTLY_SAFE snapshot: un-yoda.js

> Snapshot 1

    `b === 0;␊
    `

## MOSTLY_SAFE snapshot: unhoist-var-decls.js

> Snapshot 1

    `function f() {␊
      b();␊
      var a = b();␊
      return a;␊
    }␊
    `

## SAFE snapshot: computed-member-to-static.js

> Snapshot 1

    `a.b;␊
    a.b = 0;␊
    a[0];␊
    a['0'];␊
    `

## SAFE snapshot: expand-expression-statement.js

> Snapshot 1

    `foo();␊
    bar();␊
    new baz();␊
    `

## SAFE snapshot: expand-multiple-decl.js

> Snapshot 1

    `function f() {␊
      var a = foo();␊
      var b = bar();␊
      var c = foo();␊
      for (var d = bar(); false; ) {}␊
      return a + b + c + d;␊
    }␊
    `

## SAFE snapshot: expand-sequence.js

> Snapshot 1

    `a();␊
    if (b()) {␊
      c();␊
    }␊
    function f() {␊
      b();␊
      var a = c;␊
      d();␊
      return a;␊
    }␊
    f();␊
    throw g;␊
    a();␊
    for (b(); false; ) {}␊
    `

## SAFE snapshot: hoist-fns.js

> Snapshot 1

    `function f() {␊
      function bar() {}␊
      foo();␊
      return bar;␊
    }␊
    `

## SAFE snapshot: if-not.js

> Snapshot 1

    `if (a === b) {␊
      bar();␊
    } else {␊
      foo();␊
    }␊
    `

## SAFE snapshot: inline-arguments.js

> Snapshot 1

    `(function() {␊
      var a = foo();␊
      var b = bar();␊
      baz();␊
      return a + b;␊
    })();␊
    (function() {␊
      var a = foo();␊
      var b = bar();␊
      var c;␊
      return a + b + c;␊
    })();␊
    `

## SAFE snapshot: inline-called-once.js

> Snapshot 1

    `function f() {␊
      var x = function(a) {␊
        return a + foo();␊
      };␊
      return x(a);␊
    }␊
    `

## SAFE snapshot: inline-constant-object-property.js

> Snapshot 1

    `var x = { a: 0 };␊
    y = x.a;␊
    `

## SAFE snapshot: inline-function-as-conditional.js

> Snapshot 1

    `function f() {␊
      var x = function(foo) {␊
        if (foo == 'bar') {␊
          return 'a';␊
        } else {␊
          return 'b';␊
        }␊
      };␊
      var y = x(a);␊
      var z = x(b);␊
      var w = x();␊
      return y + z + w;␊
    }␊
    `

## SAFE snapshot: inline-iife.js

> Snapshot 1

    `function f() {␊
      foo();␊
      x = 0;␊
      x = (foo(), void null);␊
    }␊
    `

## SAFE snapshot: inline-trivial-function.js

> Snapshot 1

    `function f() {␊
      var x = {␊
        p: function(a, b, c) {␊
          return a + b + c;␊
        },␊
      };␊
      console.log(x.p(foo(), bar(), baz()));␊
    }␊
    `

## SAFE snapshot: make-blocks.js

> Snapshot 1

    `if (foo()) {␊
      bar();␊
    }␊
    while (0) {␊
      bar();␊
    }␊
    for (a in b) {␊
      bar();␊
    }␊
    do {␊
      bar();␊
    } while (0);␊
    for (a of b) {␊
      bar();␊
    }␊
    `

## SAFE snapshot: negate.js

> Snapshot 1

    `f(true);␊
    f(true);␊
    f(false);␊
    f(!a || !b);␊
    f(a != b);␊
    if (a) {␊
      foo();␊
    }␊
    `

## SAFE snapshot: no-trailing-return-void.js

> Snapshot 1

    `function f() {␊
      foo();␊
    }␊
    `

## SAFE snapshot: partial-evaluate.js

> Snapshot 1

    `function f() {␊
      var a = 1;␊
      return a + 2 + ['d', 'e'];␊
    }␊
    `

## SAFE snapshot: remove-empty-statements.js

> Snapshot 1

    ''

## SAFE snapshot: remove-empty-try.js

> Snapshot 1

    `if (false) {␊
      var x;␊
    }␊
    `

## SAFE snapshot: remove-unused-vars.js

> Snapshot 1

    `var x = 0;␊
    function f() {␊
      var x = foo();␊
    }␊
    `

## SAFE snapshot: return-conditional.js

> Snapshot 1

    `function f() {␊
      if (foo()) {␊
        return 0;␊
      } else {␊
        return 1;␊
      }␊
    }␊
    `

## SAFE snapshot: return-void.js

> Snapshot 1

    `function f() {␊
      if (foo()) {␊
        bar();␊
        return;␊
      }␊
    }␊
    `

## SAFE snapshot: shorthand-if.js

> Snapshot 1

    `if (a) {␊
      b();␊
    } else {␊
      c();␊
    }␊
    if (a) {␊
      b();␊
    }␊
    if (!a) {␊
      c();␊
    }␊
    `

## SAFE snapshot: spread-block.js

> Snapshot 1

    `foo();␊
    bar();␊
    baz();␊
    quux();␊
    `

## SAFE snapshot: statement-position-negation.js

> Snapshot 1

    `d();␊
    `

## SAFE snapshot: un-yoda.js

> Snapshot 1

    `b === 0;␊
    `

## SAFE snapshot: unhoist-var-decls.js

> Snapshot 1

    `function f() {␊
      b();␊
      var a = b();␊
      return a;␊
    }␊
    `

## UNSAFE snapshot: computed-member-to-static.js

> Snapshot 1

    `a.b;␊
    a.b = 0;␊
    a[0];␊
    a['0'];␊
    `

## UNSAFE snapshot: expand-expression-statement.js

> Snapshot 1

    `foo();␊
    bar();␊
    new baz();␊
    `

## UNSAFE snapshot: expand-multiple-decl.js

> Snapshot 1

    `function f() {␊
      var a = foo();␊
      var b = bar();␊
      var c = foo();␊
      for (var d = bar(); false; ) {}␊
      return a + b + c + d;␊
    }␊
    `

## UNSAFE snapshot: expand-sequence.js

> Snapshot 1

    `a();␊
    if (b()) {␊
      c();␊
    }␊
    function f() {␊
      b();␊
      var a = c;␊
      d();␊
      return a;␊
    }␊
    f();␊
    throw g;␊
    a();␊
    for (b(); false; ) {}␊
    `

## UNSAFE snapshot: hoist-fns.js

> Snapshot 1

    `function f() {␊
      function bar() {}␊
      foo();␊
      return bar;␊
    }␊
    `

## UNSAFE snapshot: if-not.js

> Snapshot 1

    `if (a === b) {␊
      bar();␊
    } else {␊
      foo();␊
    }␊
    `

## UNSAFE snapshot: inline-arguments.js

> Snapshot 1

    `(function() {␊
      var a = foo();␊
      var b = bar();␊
      baz();␊
      return a + b;␊
    })();␊
    (function() {␊
      var a = foo();␊
      var b = bar();␊
      var c;␊
      return a + b + c;␊
    })();␊
    `

## UNSAFE snapshot: inline-called-once.js

> Snapshot 1

    `function f() {␊
      var x = function(a) {␊
        return a + foo();␊
      };␊
      return x(a);␊
    }␊
    `

## UNSAFE snapshot: inline-constant-object-property.js

> Snapshot 1

    `var x = { a: 0 };␊
    y = x.a;␊
    `

## UNSAFE snapshot: inline-function-as-conditional.js

> Snapshot 1

    `function f() {␊
      var x = function(foo) {␊
        if (foo == 'bar') {␊
          return 'a';␊
        } else {␊
          return 'b';␊
        }␊
      };␊
      var y = x(a);␊
      var z = x(b);␊
      var w = x();␊
      return y + z + w;␊
    }␊
    `

## UNSAFE snapshot: inline-iife.js

> Snapshot 1

    `function f() {␊
      foo();␊
      x = 0;␊
      x = (foo(), void null);␊
    }␊
    `

## UNSAFE snapshot: inline-trivial-function.js

> Snapshot 1

    `function f() {␊
      var x = {␊
        p: function(a, b, c) {␊
          return a + b + c;␊
        },␊
      };␊
      console.log(x.p(foo(), bar(), baz()));␊
    }␊
    `

## UNSAFE snapshot: make-blocks.js

> Snapshot 1

    `if (foo()) {␊
      bar();␊
    }␊
    while (0) {␊
      bar();␊
    }␊
    for (a in b) {␊
      bar();␊
    }␊
    do {␊
      bar();␊
    } while (0);␊
    for (a of b) {␊
      bar();␊
    }␊
    `

## UNSAFE snapshot: negate.js

> Snapshot 1

    `f(true);␊
    f(true);␊
    f(false);␊
    f(!a || !b);␊
    f(a != b);␊
    if (a) {␊
      foo();␊
    }␊
    `

## UNSAFE snapshot: no-trailing-return-void.js

> Snapshot 1

    `function f() {␊
      foo();␊
    }␊
    `

## UNSAFE snapshot: partial-evaluate.js

> Snapshot 1

    `function f() {␊
      var a = 1;␊
      return a + 2 + ['d', 'e'];␊
    }␊
    `

## UNSAFE snapshot: remove-empty-statements.js

> Snapshot 1

    ''

## UNSAFE snapshot: remove-empty-try.js

> Snapshot 1

    `if (false) {␊
      var x;␊
    }␊
    `

## UNSAFE snapshot: remove-unused-vars.js

> Snapshot 1

    `var x = 0;␊
    function f() {␊
      foo();␊
    }␊
    `

## UNSAFE snapshot: return-conditional.js

> Snapshot 1

    `function f() {␊
      if (foo()) {␊
        return 0;␊
      } else {␊
        return 1;␊
      }␊
    }␊
    `

## UNSAFE snapshot: return-void.js

> Snapshot 1

    `function f() {␊
      if (foo()) {␊
        bar();␊
        return;␊
      }␊
    }␊
    `

## UNSAFE snapshot: shorthand-if.js

> Snapshot 1

    `if (a) {␊
      b();␊
    } else {␊
      c();␊
    }␊
    if (a) {␊
      b();␊
    }␊
    if (!a) {␊
      c();␊
    }␊
    `

## UNSAFE snapshot: spread-block.js

> Snapshot 1

    `foo();␊
    bar();␊
    baz();␊
    quux();␊
    `

## UNSAFE snapshot: statement-position-negation.js

> Snapshot 1

    `d();␊
    `

## UNSAFE snapshot: un-yoda.js

> Snapshot 1

    `b === 0;␊
    `

## UNSAFE snapshot: unhoist-var-decls.js

> Snapshot 1

    `function f() {␊
      b();␊
      var a = b();␊
      return a;␊
    }␊
    `

## USELESS snapshot: computed-member-to-static.js

> Snapshot 1

    `a['b'];␊
    a['b'] = 0;␊
    a[0];␊
    a['0'];␊
    `

## USELESS snapshot: expand-expression-statement.js

> Snapshot 1

    `foo(), this, void bar(), void 0, new baz();␊
    `

## USELESS snapshot: expand-multiple-decl.js

> Snapshot 1

    `function f() {␊
      var a = foo(),␊
        b = bar();␊
      for (var c = foo(), d = bar(); false; );␊
      return a + b + c + d;␊
    }␊
    `

## USELESS snapshot: expand-sequence.js

> Snapshot 1

    `if ((a(), b())) {␊
      c();␊
    }␊
    function f() {␊
      var a = (b(), c);␊
      return d(), a;␊
    }␊
    throw (f(), g);␊
    for (a(), b(); false; );␊
    `

## USELESS snapshot: hoist-fns.js

> Snapshot 1

    `function f() {␊
      foo();␊
      function bar() {}␊
      return bar;␊
    }␊
    `

## USELESS snapshot: if-not.js

> Snapshot 1

    `if (a !== b) {␊
      foo();␊
    } else {␊
      bar();␊
    }␊
    `

## USELESS snapshot: inline-arguments.js

> Snapshot 1

    `(function(a, b) {␊
      return a + b;␊
    })(foo(), bar(), baz());␊
    (function(a, b, c) {␊
      return a + b + c;␊
    })(foo(), bar());␊
    `

## USELESS snapshot: inline-called-once.js

> Snapshot 1

    `function f() {␊
      var x = function(a) {␊
        return a + foo();␊
      };␊
      return x(a);␊
    }␊
    `

## USELESS snapshot: inline-constant-object-property.js

> Snapshot 1

    `var x = { a: 0 };␊
    y = x.a;␊
    `

## USELESS snapshot: inline-function-as-conditional.js

> Snapshot 1

    `function f() {␊
      var x = function(foo) {␊
        if (foo == 'bar') return 'a';␊
        else return 'b';␊
      };␊
      var y = x(a);␊
      var z = x(b);␊
      var w = x();␊
      return y + z + w;␊
    }␊
    `

## USELESS snapshot: inline-iife.js

> Snapshot 1

    `function f() {␊
      (function() {␊
        foo();␊
      })();␊
      x = (function() {␊
        return 0;␊
      })();␊
      x = (function() {␊
        foo();␊
      })();␊
    }␊
    `

## USELESS snapshot: inline-trivial-function.js

> Snapshot 1

    `function f() {␊
      var x = {␊
        p: function(a, b, c) {␊
          return a + b + c;␊
        },␊
      };␊
      console.log(x.p(foo(), bar(), baz()));␊
    }␊
    `

## USELESS snapshot: make-blocks.js

> Snapshot 1

    `if (foo()) bar();␊
    for (;;) bar();␊
    while (0) bar();␊
    for (a in b) bar();␊
    do bar();␊
    while (0);␊
    for (a of b) bar();␊
    `

## USELESS snapshot: negate.js

> Snapshot 1

    `f(!false);␊
    f(!0);␊
    f(![]);␊
    f(!(a && b));␊
    f(!(a == b));␊
    if (!!a) foo();␊
    `

## USELESS snapshot: no-trailing-return-void.js

> Snapshot 1

    `function f() {␊
      foo();␊
      return;␊
    }␊
    `

## USELESS snapshot: partial-evaluate.js

> Snapshot 1

    `function f() {␊
      var a = 1;␊
      return a + 2 + ['d', 'e'];␊
    }␊
    `

## USELESS snapshot: remove-empty-statements.js

> Snapshot 1

    `␊
    `

## USELESS snapshot: remove-empty-try.js

> Snapshot 1

    `try {␊
    } catch (e) {␊
      var x;␊
    }␊
    `

## USELESS snapshot: remove-unused-vars.js

> Snapshot 1

    `var x = 0;␊
    function f() {␊
      var x = foo();␊
    }␊
    `

## USELESS snapshot: return-conditional.js

> Snapshot 1

    `function f() {␊
      return foo() ? 0 : 1;␊
    }␊
    `

## USELESS snapshot: return-void.js

> Snapshot 1

    `function f() {␊
      if (foo()) {␊
        return void bar();␊
      }␊
    }␊
    `

## USELESS snapshot: shorthand-if.js

> Snapshot 1

    `a ? b() : c();␊
    a && b();␊
    a || c();␊
    `

## USELESS snapshot: spread-block.js

> Snapshot 1

    `{␊
      foo();␊
      {␊
        bar();␊
        baz();␊
      }␊
      quux();␊
    }␊
    `

## USELESS snapshot: statement-position-negation.js

> Snapshot 1

    `!d();␊
    `

## USELESS snapshot: un-yoda.js

> Snapshot 1

    `0 === b;␊
    `

## USELESS snapshot: unhoist-var-decls.js

> Snapshot 1

    `function f() {␊
      var a;␊
      b();␊
      a = b();␊
      return a;␊
    }␊
    `

## WILDLY_UNSAFE snapshot: computed-member-to-static.js

> Snapshot 1

    `a.b;␊
    a.b = 0;␊
    a[0];␊
    a['0'];␊
    `

## WILDLY_UNSAFE snapshot: expand-expression-statement.js

> Snapshot 1

    `foo();␊
    bar();␊
    new baz();␊
    `

## WILDLY_UNSAFE snapshot: expand-multiple-decl.js

> Snapshot 1

    `function f() {␊
      var a = foo();␊
      var b = bar();␊
      var c = foo();␊
      for (var d = bar(); false; ) {}␊
      return a + b + c + d;␊
    }␊
    `

## WILDLY_UNSAFE snapshot: expand-sequence.js

> Snapshot 1

    `a();␊
    if (b()) {␊
      c();␊
    }␊
    function f() {␊
      b();␊
      var a = c;␊
      d();␊
      return a;␊
    }␊
    f();␊
    throw g;␊
    a();␊
    for (b(); false; ) {}␊
    `

## WILDLY_UNSAFE snapshot: hoist-fns.js

> Snapshot 1

    `function f() {␊
      function bar() {}␊
      foo();␊
      return bar;␊
    }␊
    `

## WILDLY_UNSAFE snapshot: if-not.js

> Snapshot 1

    `if (a === b) {␊
      bar();␊
    } else {␊
      foo();␊
    }␊
    `

## WILDLY_UNSAFE snapshot: inline-arguments.js

> Snapshot 1

    `(function() {␊
      var a = foo();␊
      var b = bar();␊
      baz();␊
      return a + b;␊
    })();␊
    (function() {␊
      var a = foo();␊
      var b = bar();␊
      var c;␊
      return a + b + c;␊
    })();␊
    `

## WILDLY_UNSAFE snapshot: inline-called-once.js

> Snapshot 1

    `function f() {␊
      return (function(a) {␊
        return a + foo();␊
      })(a);␊
    }␊
    `

## WILDLY_UNSAFE snapshot: inline-constant-object-property.js

> Snapshot 1

    `var x = {};␊
    y = 0;␊
    `

## WILDLY_UNSAFE snapshot: inline-function-as-conditional.js

> Snapshot 1

    `function f() {␊
      var y = a == 'bar' ? 'a' : 'b';␊
      var z = b == 'bar' ? 'a' : 'b';␊
      return y + z + 'b';␊
    }␊
    `

## WILDLY_UNSAFE snapshot: inline-iife.js

> Snapshot 1

    `function f() {␊
      foo();␊
      x = 0;␊
      x = (foo(), void null);␊
    }␊
    `

## WILDLY_UNSAFE snapshot: inline-trivial-function.js

> Snapshot 1

    `function f() {␊
      console.log(foo() + bar() + baz());␊
    }␊
    `

## WILDLY_UNSAFE snapshot: make-blocks.js

> Snapshot 1

    `if (foo()) {␊
      bar();␊
    }␊
    while (0) {␊
      bar();␊
    }␊
    for (a in b) {␊
      bar();␊
    }␊
    do {␊
      bar();␊
    } while (0);␊
    for (a of b) {␊
      bar();␊
    }␊
    `

## WILDLY_UNSAFE snapshot: negate.js

> Snapshot 1

    `f(true);␊
    f(true);␊
    f(false);␊
    f(!a || !b);␊
    f(a != b);␊
    if (a) {␊
      foo();␊
    }␊
    `

## WILDLY_UNSAFE snapshot: no-trailing-return-void.js

> Snapshot 1

    `function f() {␊
      foo();␊
    }␊
    `

## WILDLY_UNSAFE snapshot: partial-evaluate.js

> Snapshot 1

    `function f() {␊
      return '3d,e';␊
    }␊
    `

## WILDLY_UNSAFE snapshot: remove-empty-statements.js

> Snapshot 1

    ''

## WILDLY_UNSAFE snapshot: remove-empty-try.js

> Snapshot 1

    ''

## WILDLY_UNSAFE snapshot: remove-unused-vars.js

> Snapshot 1

    `var x = 0;␊
    function f() {␊
      foo();␊
    }␊
    `

## WILDLY_UNSAFE snapshot: return-conditional.js

> Snapshot 1

    `function f() {␊
      if (foo()) {␊
        return 0;␊
      } else {␊
        return 1;␊
      }␊
    }␊
    `

## WILDLY_UNSAFE snapshot: return-void.js

> Snapshot 1

    `function f() {␊
      if (foo()) {␊
        bar();␊
        return;␊
      }␊
    }␊
    `

## WILDLY_UNSAFE snapshot: shorthand-if.js

> Snapshot 1

    `if (a) {␊
      b();␊
    } else {␊
      c();␊
    }␊
    if (a) {␊
      b();␊
    }␊
    if (!a) {␊
      c();␊
    }␊
    `

## WILDLY_UNSAFE snapshot: spread-block.js

> Snapshot 1

    `foo();␊
    bar();␊
    baz();␊
    quux();␊
    `

## WILDLY_UNSAFE snapshot: statement-position-negation.js

> Snapshot 1

    `d();␊
    `

## WILDLY_UNSAFE snapshot: un-yoda.js

> Snapshot 1

    `b === 0;␊
    `

## WILDLY_UNSAFE snapshot: unhoist-var-decls.js

> Snapshot 1

    `function f() {␊
      b();␊
      var a = b();␊
      return a;␊
    }␊
    `
